Subject: Re: bug#67520: 29.1; Mention headers

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 04 Dec 2023 20:26:33 -0800

On 12/04/23 11:30 AM, Dan Jacobson wrote:
> OK, then ths is a feature request. Users are often asked to forward
> complete pristine emails to various abuse investigation departments.
> Gnus should offer such functionality.

Okay, that's clearer! message.el is fairly convoluted, but it comes down
to `message-remove-ignored-headers'. That consults several options,
most importantly `message-forward-ignored-headers' and
`message-forward-included-headers'. The ignored headers are removed, as
you'd expect, but if anything at all is in the included headers, *only*
those included headers are... included. You lose everything else.

So what you really want is the option to (perhaps temporarily) set
`message-forward-included-headers' to nil. (Please try it out and
confirm.)

And the real question is how to offer this option to the user.
Everything is already thoroughly overloaded...